## org.apache.taglibs.standard.lang.jstl
Class UnaryOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.UnaryOperator

Direct Known Subclasses:
  EmptyOperator, NotOperator, UnaryMinusOperator

    public abstract class UnaryOperator

extends Object

This is the superclass for all unary operators

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`UnaryOperator()` Constructor

Method Summary
`abstract Object` `apply(Object pValue, Object pContext, Logger pLogger)` Applies the operator to the given value
`abstract String` `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryOperator

    public UnaryOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public abstract String getOperatorSymbol()

  Returns the symbol representing the operator

### apply

    public abstract Object apply(Object pValue,
                                 Object pContext,
                                 Logger pLogger)
                          throws ELException

  Applies the operator to the given value

  Throws:
    `ELException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.